# Get bank line

`GET /v1/bank-transactions/{id}`

**Scopes:** any of `bank:read`, `read:ledger`

## Request

```bash
curl https://api.numina.app/v1/bank-transactions/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
```

## Path parameters

- `id` (string (uuid), required)

## Response `200`

The bank line

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
  "bank_account_name": "string",
  "ledger_account_number": 0,
  "date": "string",
  "value_date": "string",
  "amount": 0,
  "currency": "string",
  "counterparty": "string",
  "payment_reference": "string",
  "state": "unreconciled",
  "journal_entries": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "state": "draft"
    }
  ],
  "agent_processing": false
}
```

## Errors

- `401` Unauthorized - Invalid or missing authentication
- `403` Forbidden - Missing scope, or the company is archived
- `404` Not Found - The resource does not exist in this company
- `429` Too Many Requests - Rate limit exceeded
- `500` Internal Server Error

See https://developers.numina.app/errors.md for the error format.
